STRTOD_L(3)

NAME
strtod_l, strtof_l, strtold_l - convert ASCII string to floating point

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
#include <xlocale.h>
double
strtod_l(const char * restrict nptr, char ** restrict endptr, locale_t loc);
float
strtof_l(const char * restrict nptr, char ** restrict endptr, locale_t loc);
long double
strtold_l(const char * restrict nptr, char ** restrict endptr, locale_t loc);

DESCRIPTION
The strtod_l(), strtof_l(), and strtold_l() functions are extended locale versions of the strtod(), strtof(), and strtold() functions, respectively. Refer to their manual pages for details. Also, see xlocale(3) for more information about extended locales.

SEE ALSO
strtod(3), xlocale(3)